# Retrieve Authentication Parameter’s Value
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-auth-param-value/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving an authentication parameter's value for a specified contract (account contract or card contract) stored in the CMS.

**Sample request**

`GET /contracts/70001/authentication-parameter-values?authentication_parameter_name=PHONE&authentication_type_code=3DS_EXT_ENROLLMENT`

**Sample response**

`200`

```JSON
{
   "authenticationParameterValue": "+48 123456789"
}
```

## Test case -- Fail -- Invalid authentication parameter name {#test-case--fail--invalid-authentication-parameter-name}

This test case describes an attempt to retrieve an authentication parameter's value for a specified contract (account contract or card contract) stored in the CMS by sending an invalid authentication parameter name.

**Sample request**

`GET /contracts/70001/authentication-parameter-values?authentication_parameter_name=INVALID&authentication_type_code=3DS_EXT_ENROLLMENT`

For this test case, use the following information in the request:

|         Query parameter         | Available value |
|---------------------------------|-----------------|
| `authentication_parameter_name` | INVALID         |

**Sample response**
`400`

```JSON
{
    "Errors": {
        "Error": [
            {
                "Source": "MASTERCARD PROCESSING",
                "ReasonCode": "INVALID_AUTHENTICATION_TYPE_CODE_FOR_PARAMETER_WITH_GIVEN_NAME",
                "Description": "The authentication type code 3DS_EXT_ENROLLMENT does not own a parameter with the name INVALID.",
                "Recoverable": false
            }
        ]
    }
}
```

## Test case -- Fail -- Invalid authentication type code {#test-case--fail--invalid-authentication-type-code}

This test case describes an attempt to retrieve an authentication parameter's value for a specified contract (account contract or card contract) stored in the CMS by sending an invalid authentication type code.

**Sample request**

`GET /contracts/70001/authentication-parameter-values?authentication_parameter_name=PHONE&authentication_type_code=INVALID`

For this test case, use the following information in the request:

|      Query parameter       | Available value |
|----------------------------|-----------------|
| `authentication_type_code` | INVALID         |

**Sample response**

`400`

```JSON
{
    "Errors": {
        "Error": [
            {
                "Source": "MASTERCARD PROCESSING",
                "ReasonCode": "UNSUPPORTED_AUTHENTICATION_TYPE_CODE",
                "Description": "The authentication type code INVALID does not exist.",
                "Recoverable": false
            }
        ]
    }
}
```

